#!/usr/bin/env bash

# Run the java jar

export DATABASE_URL="mysql://localhost:{{ cat_db_port }}/{{ cat_db_name }}?user={{ cat_db_user }}&password={{ cat_db_password }}"
export PORT="{{ cat_app_port }}"
export APP_HOST="{{ cat_app_host }}"

export AUTHORIZE_URI="{{ authorize_uri }}"
export ACCESS_TOKEN_URI="{{ access_token_uri }}"
export OAUTH_CONSUMER_KEY="{{ oauth_consumer_key }}"
export OAUTH_CONSUMER_SECRET="{{ oauth_consumer_secret }}"

export USER_API_URI="https://adams.ugent.be/oauth/api/current_user/"

java -jar {{ cat_git_destination }}/releases/cat.jar migrate

java -jar {{ cat_git_destination }}/releases/cat.jar
